## Class TTemplatedWizardStep

Description

Implements interfaces:

- INamingContainer

TTemplatedWizardStep class.

TTemplatedWizardStep represents a wizard step whose content and navigation can be customized using templates. To customize the step content, specify ContentTemplate. To customize navigation specific to the step, specify NavigationTemplate. Note, if the navigation template is not specified, default navigation will be used.

- since: 3.0
- version: $Id: TWizard.php 2427 2008-04-17 17:18:25Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TWizard.php (line 1575)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TView
                |
                --TWizardStep
                   |
                   --TTemplatedWizardStep

Method Summary
void createChildControls ()
ITemplate getContentTemplate ()
TWizardNavigationContainer getNavigationContainer ()
ITemplate getNavigationTemplate ()
void instantiateNavigationTemplate ()
void onInit (mixed $param)
void setContentTemplate (ITemplate $value)
void setNavigationTemplate (ITemplate $value)
Methods
createChildControls (line 1594)

Creates child controls.

This method mainly instantiates the content template, if any.

- access: public

void createChildControls ()

Redefinition of:

TControl::createChildControls()
  Creates child controls.

getContentTemplate (line 1614)

- return: the template for the content of the wizard step.
- access: public

ITemplate getContentTemplate ()
getNavigationContainer (line 1647)

- return: the control containing the navigation. It could be null if no navigation template is specified.
- access: public

TWizardNavigationContainer getNavigationContainer ()
getNavigationTemplate (line 1630)

- return: the template for displaying the navigation UI of a wizard step. Defaults to null.
- access: public

ITemplate getNavigationTemplate ()
instantiateNavigationTemplate (line 1655)

Instantiates the navigation template if any

- access: public

void instantiateNavigationTemplate ()
onInit (line 1605)

Ensures child controls are created.

- access: public

void onInit (mixed $param)

- mixed $param: event parameter

Redefinition of:

TControl::onInit()
  This method is invoked when the control enters 'OnInit' stage.

setContentTemplate (line 1622)

- access: public

void setContentTemplate (ITemplate $value)

- ITemplate $value: the template for the content of the wizard step.

setNavigationTemplate (line 1638)

- access: public

void setNavigationTemplate (ITemplate $value)

- ITemplate $value: the template for displaying the navigation UI of a wizard step.

#### Inherited Methods

Inherited From TWizardStep

> TWizardStep::getAllowReturn()
> TWizardStep::getStepType()
> TWizardStep::getTitle()
> TWizardStep::getWizard()
> TWizardStep::setAllowReturn()
> TWizardStep::setStepType()
> TWizardStep::setTitle()
> TWizardStep::setWizard()

Inherited From TView

> TView::getActive()
> TView::getVisible()
> TView::onActivate()
> TView::onDeactivate()
> TView::setActive()
> TView::setVisible()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:36:45 -0400 by phpDocumentor 1.3.0RC4